## Description
<!-- Provide a brief description of the changes in this PR -->

## Type of Change
<!-- Mark the relevant option with an "x" -->
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Code quality improvement
- [ ] Test improvement
- [ ] Example update

## Related Issues
<!-- Link to any related issues -->
Fixes #(issue_number)
Closes #(issue_number)
Related to #(issue_number)

## Changes Made
<!-- Describe the changes made in detail -->
- 
- 
- 

## Testing
<!-- Describe the tests you ran to verify your changes -->
- [ ] All existing tests pass
- [ ] New tests added for new functionality
- [ ] Manual testing performed
- [ ] Examples tested

### Test Environment
- Python version:
- Flask version:
- BunnyStream version:
- Operating System:

## Code Quality
<!-- Check all that apply -->
- [ ] Code follows the project's style guidelines
- [ ] Self-review of code completed
- [ ] Code is properly commented
- [ ] Type hints added where appropriate
- [ ] Documentation updated if needed

## Breaking Changes
<!-- If this is a breaking change, describe what breaks and how to migrate -->

## Screenshots/Examples
<!-- If applicable, add screenshots or code examples -->

## Checklist
<!-- Mark completed items with an "x" -->
- [ ] I have read the [Contributing Guidelines](../CONTRIBUTING.md)
- [ ] My code follows the code style of this project
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] I have added necessary documentation (if appropriate)
- [ ] All new and existing tests passed
- [ ] I have checked that my changes don't introduce any security issues

## Additional Notes
<!-- Any additional information, considerations, or context -->
